package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 涉密网络登记对象 td_property_netinfo
 * 
 * @author ruoyi
 * @date 2024-05-09
 */
public class TdPropertyNetinfo extends BaseEntity
{
    private static final Long serialVersionUID = 1L;

    /** 设备编号 */
    private String id;

    /** 网络编号 */
    @Excel(name = "网络编号")
    private String netId;

    /** 网络设备品牌 */
    @Excel(name = "网络设备品牌")
    private String netBrand;

    /** IP地址 */
    @Excel(name = "IP地址")
    private String netIp;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String netNo;

    /** 设备种类 */
    @Excel(name = "设备种类", readConverterExp = "1=服务器,2=路由器,3=防火墙,4=网关,5=其他")
    private String netName;

    /** 序列号 */
    @Excel(name = "序列号")
    private String netSn;

    /** 登记人员 */
    @Excel(name = "登记人员")
    private String netname;

    /** 责任人 */
    @Excel(name = "责任人")
    private String netManager;

    /** 密级（0：秘密1：机密2：绝密） */
    @Excel(name = "密级", readConverterExp = "0=秘密,1=机密,2=绝密")
    private String netMiji;

    /** 涉密网络名称 */
    @Excel(name = "涉密网络名称")
    private String netsmname;

    /** 是否属于要害部门部位 */
    @Excel(name = "是否属于要害部门部位")
    private String isCurcial;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String depart;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setNetId(String netId) 
    {
        this.netId = netId;
    }

    public String getNetId() 
    {
        return netId;
    }
    public void setNetBrand(String netBrand) 
    {
        this.netBrand = netBrand;
    }

    public String getNetBrand() 
    {
        return netBrand;
    }
    public void setNetIp(String netIp) 
    {
        this.netIp = netIp;
    }

    public String getNetIp() 
    {
        return netIp;
    }
    public void setNetNo(String netNo) 
    {
        this.netNo = netNo;
    }

    public String getNetNo() 
    {
        return netNo;
    }
    public void setNetName(String netName) 
    {
        this.netName = netName;
    }

    public String getNetName() 
    {
        return netName;
    }
    public void setNetSn(String netSn) 
    {
        this.netSn = netSn;
    }

    public String getNetSn() 
    {
        return netSn;
    }
    public void setNetname(String netname) 
    {
        this.netname = netname;
    }

    public String getNetname() 
    {
        return netname;
    }
    public void setNetManager(String netManager) 
    {
        this.netManager = netManager;
    }

    public String getNetManager() 
    {
        return netManager;
    }
    public void setNetMiji(String netMiji) 
    {
        this.netMiji = netMiji;
    }

    public String getNetMiji() 
    {
        return netMiji;
    }
    public void setNetsmname(String netsmname) 
    {
        this.netsmname = netsmname;
    }

    public String getNetsmname() 
    {
        return netsmname;
    }
    public void setIsCurcial(String isCurcial) 
    {
        this.isCurcial = isCurcial;
    }

    public String getIsCurcial() 
    {
        return isCurcial;
    }
    public void setDepart(String depart) 
    {
        this.depart = depart;
    }

    public String getDepart() 
    {
        return depart;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("netId", getNetId())
            .append("netBrand", getNetBrand())
            .append("netIp", getNetIp())
            .append("netNo", getNetNo())
            .append("netName", getNetName())
            .append("netSn", getNetSn())
            .append("remark", getRemark())
            .append("netname", getNetname())
            .append("netManager", getNetManager())
            .append("netMiji", getNetMiji())
            .append("netsmname", getNetsmname())
            .append("isCurcial", getIsCurcial())
            .append("depart", getDepart())
            .toString();
    }
}
